Bug 734829 - memcg: prevent livelocking the system on a memcg in trouble
Summary: memcg: prevent livelocking the system on a memcg in trouble
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.3
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Johannes Weiner
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 767187
TreeView+ depends on / blocked
 
Reported: 2011-08-31 14:51 UTC by Johannes Weiner
Modified: 2015-09-01 03:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-13 19:19:36 UTC


Attachments (Terms of Use)

Description Johannes Weiner 2011-08-31 14:51:41 UTC
A memory cgroup in trouble (oom-killer disabled, forkbomb) can potentially livelock tasks outside the group that share the same data (shared libraries e.g.).

When COW-breaking a page, the copy is allocated and charged while the original page is locked.  If the charging requires reclaim or oom-killing, other tasks are tripped up when trying to access and lock the same COW page, causing indefinite stalls.

Comment 2 RHEL Product and Program Management 2012-05-03 05:29:15 UTC
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.